#include <reg51.h>    /* register definitions for 8051 CPU */	
#include <stdio.h>    /* stardard i/o definitions          */	

/* Convert to Upper Character */
unsigned char toupper (unsigned char c)  {
  if (c < 'a' ||  c > 'z') return (c);
  else                     return (c & ~0x20);
}

/* Echo Upper Characters */
main ()  {	
  unsigned char c, buf[10];

  /* setup serial port control hardware (2400 BAUD @12MHZ) */	
  SCON = 0x52;    /* SCON */	
  TMOD = 0x20;    /* TMOD */	
  TCON = 0x69;    /* TCON */	
  TH1 =  0xf3;    /* TH1 */	

  while (1)  {          
    P0 = P2;          /* output hardware switch from Port2 */

    gets (buf, sizeof (buf));        /* get input line     */
    for (c = 0; buf[c] != 0; c++)  {
      buf[c] = toupper (buf[c]);     /* convert to captial */ 
    }
    puts (buf);                      /* echo input line    */
    P0 = 0;           /* clear Output Port to signal ready */
  }
}
