/****************************************************************************/
/*             This file is part of the C-51 Compiler package               */
/*           Copyright (c) Franklin Software, Inc.  1989 - 1991             */
/****************************************************************************/
/*                                                                          */
/*  GETKEY.C:  This routine is the general character input routine          */
/*  available in, and used by the C-51 libraries.  Be sure to use the       */
/*  correct "register.h" file.                                              */
/*                                                                          */
/*  Compile this file with the following invocation:                        */
/*                                                                          */
/*     C51 GETKEY.C                                                         */
/*                                                                          */
/*  To link the modified GETKEY.OBJ file into your application use this     */
/*  L51 invocation:                                                         */
/*                                                                          */
/*     L51 <your object file list>, GETKEY.OBJ <controls>                   */
/*                                                                          */
/****************************************************************************/

#include <reg51.h>

char _getkey ()  {
	char c;

	while (!RI);
	c = SBUF;
	RI = 0;
	return (c);
}
