/*  Filename     J31EX1.C
    Description  JAZZ-31 Example 1
    Hardware     JAZZ-31 Board
    Compiler     Franklin v3.2
    Engineer     Kriangsak B.
    Company      Sila Research Co.,Ltd. */

#include <reg52.h>
#include <absacc.h>
#include <ctype.h>
#include <intrins.h>
#include <math.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define SEGM   XBYTE [0xf800]
#define DIGIT  XBYTE [0xf801]

/********** FUNCTION **********/

void dmsec(unsigned int count) {  /* Delay mSec */
    unsigned char i;
    while (count) {
        for (i=1;i<=113;i++);
        count--;
    }
}

/********** MAIN **********/

void main(void) {
    unsigned char i,j,seg,digit;
    while (1) {
        for (digit=0;digit<=7;digit++) {
            DIGIT = (DIGIT & 0xf8) | digit;
            seg = 1;
            for (i=1;i<=8;i++) {
                SEGM = seg;
                dmsec(100);
                SEGM = 0;
                seg = seg << 1;
            }
        }
    }
}


